Bug 274751 - Unnecessary __perl_provides
Unnecessary __perl_provides
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mod_perl (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 20:22 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-03 03:21:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-09-02 20:22:56 EDT
Description of problem:
__perl_provides within mod_perl.spec is IMHO absolutely unnecessary. It removes 
a dependency to perl(warnings) which is satisfied in any case by the perl base 
package. And this is mod_perl, so perl is required anyway ;-) 

Version-Release number of selected component (if applicable):
mod_perl-2.0.3-12

Actual results:
Unnecessary __perl_provides

Expected results:
No __perl_provides any longer
Comment 1 Joe Orton 2007-09-03 03:21:25 EDT
It removes a "Provides: perl(warnings)", not a "Requires" for same.
Comment 2 Robert Scheck 2007-09-03 08:14:57 EDT
Oh dear. It was just to late in the evening for me. Sorry.

Note You need to log in before you can comment on or make changes to this bug.